/*
 * @Author: WuWei
 * @Date: 2020-08-10 17:27:58
 * @LastEditors  : WuWei
 * @LastEditTime : 2023-08-14 10:44:04
 * @Description:
 */
import 'package:app_package/app_package.dart';
import '../models/pay_list.dart';
import '../models/pay_summary.dart';
import '../models/pay_detail.dart';

abstract class PayIndexService {
  Future<ResModel<PagingModel<PayListModel>>> getPayList(data);
  Future<ResModel<PaySummaryModel>> getPaySummary(data);
  Future<ResModel<PayDetail>> getPayDetail(id, data);
  // Future<ResModel<List<CommunityPickerModel>>> getDomainCommunityListToPicker();
}
